Package org.globus.ftp

# Class FeatureList.Feature

java.lang.Object
org.globus.ftp.FeatureList.Feature

Enclosing class:
  `FeatureList`

public static final class FeatureList.Feature extends Object
RFC 2389 specified the following syntax for FEAT responce

     feat-response   = error-response / no-features / feature-listing
      no-features     = "211" SP *TCHAR CRLF
      feature-listing = "211-" *TCHAR CRLF
                        1*( SP feature CRLF )
                        "211 End" CRLF
      feature         = feature-label [ SP feature-parms ]
      feature-label   = 1*VCHAR
      feature-parms   = 1*TCHAR

Feature class represence each individual feature and contain two fields required label and optional parms

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getLabel()`
`String`
`getParms()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLabel

public String getLabel()

Returns:
  the name

### getParms

public String getParms()

Returns:
  the qualifiers, null if no qualifiers

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`